<?php
namespace EEPROM;

use Index\Data\IDbConnection;
use Syokuhou\IConfig;

class EEPROMContext {
    private IConfig $config;
    private DatabaseContext $dbCtx;

    public function __construct(IConfig $config, IDbConnection $dbConn) {
        $this->config = $config;
        $this->dbCtx = new DatabaseContext($dbConn);
    }

    public function getConfig(): IConfig {
        return $this->config;
    }

    public function getDatabase(): DatabaseContext {
        return $this->dbCtx;
    }
}
